This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 5 - Pages: 1 - Last Post: 17 Jun 22, 13:31 Last Post By: jimberry
mr-pestle

Posts: 2
Registered: 25-Jan-2009
Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 00:05
 
  Click to reply to this thread Reply
I am running Manjaro with Linux Kernel 5.15.46.1 LTS
I have been using the latest version of JAlbum (28.1.5) successfully having installed it from your downlaod page "jAlbum for anything Zip file" into ~Applications/jAlbum_current
and running /usr/lib/jvm/jdk1.8.0_281/jre/bin/java -Xmx6000m -DuseDesktop=true -jar ~/Applications/jAlbum_current/JAlbum.jar
However on creating a new album using the Story skin (2.18.2) and editing a photo description I get the following exception

Exception in thread "AWT-EventQueue-0" java.lang.UnsupportedClassVersionError: pixy/meta/Metadata has been compiled by a more recent version of the Java Runtime (class file version 58.0), this version of the Java Runtime only recognizes class file versions up to 52.0

Althought this does not seem to impact on the creation of the album I thought I ought to update my version of Java and installed java-18-openjdk which has installed into /usr/lib/jvm/
However when I then tried to run /usr/lib/jvm/java-18-openjdk/jre/bin/java -Xmx6000m -DuseDesktop=true -jar ~/Applications/jAlbum_current/JAlbum.jar
JAlbum said it was missing javaFX modules
I installed the OpenjFX snap package which seemed to be my only option in pamac. It installed in /usr/lib/jvm/java-18-openjdk/lib

I tried to run
/usr/lib/jvm/java-18-openjdk/bin/java -Xmx6000M -DmaxSubsampling=2 -DuseDesktop=true --module-path=/usr/lib/jvm/java-18-openjdk/lib --add-modules javafx.graphics,javafx.swing,javafx.web -jar ~/Applications/jAlbum_current/JAlbum.jar

but is says it cannot enumerate js or something like that! (Sorry I've reverted to the old setup at the moment so don't have the full exception report)

Is there an easier way of getting javaFX to work with Java and JAlbum?
Cheers
RobM

Posts: 4,358
Registered: 4-Aug-2006
Re: Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 01:20   in response to: mr-pestle in response to: mr-pestle
 
  Click to reply to this thread Reply
Other Windows & macOS users get JFX from https://gluonhq.com/products/javafx/
Don't no if it will solve your problems or not.
JeffTucker

Posts: 8,596
Registered: 31-Jan-2006
Re: Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 02:51   in response to: mr-pestle in response to: mr-pestle
 
  Click to reply to this thread Reply
mr-pestle wrote:
Is there an easier way of getting javaFX to work with Java and JAlbum?

Yes. Use Windows 11 or macOS 11.x or 12.x.

I'm not being facetious. You could simply install the latest version of jAlbum, and get down to the business of using it to produce albums, rather than thrashing around in the arcana of Java and JavaFX versions.

You have chosen to use an OS that you don't seem to be able to tame. You should probably reexamine your reasons for doing so.
ctwist

Posts: 685
Registered: 27-Sep-2003
Re: Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 05:04   in response to: mr-pestle in response to: mr-pestle
 
  Click to reply to this thread Reply
jAlbum is developed with OpenJDK 14. Your attempt to run it with OpenJDK 18 is not supported.
davidekholm

Posts: 4,225
Registered: 18-Oct-2002
Re: Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 10:53   in response to: ctwist in response to: ctwist
 
  Click to reply to this thread Reply
Are you not able to get jAlbum running using either the .deb or .rpm packages? These comes bundled with a Java 14 that should be working. Here's the catch: Since Java 15, Oracle has ditched the JavaScript engine we're using in some skins ("Nashorn"), hence the "cannot enumerate .js" error. There is a replacement engine available (GraalJS) but we're still investigating performance issues with it. The fact that Oracle also detached JavaFX from Java makes running jAlbum on your own Java installation trickier too. For all these reasons, we recommend trying to run jAlbum out of the .deb or .rpm packages.
jimberry

Posts: 589
Registered: 30-Aug-2004
Re: Manjaro java mismatch issue with JAlbum and Stories skin
Posted: 17 Jun 22, 13:30   in response to: davidekholm in response to: davidekholm
 
  Click to reply to this thread Reply
See this discussion on using .deb for Manjaro or other "arch" distributions.
Legend
Forum admins
Helpful Answer
Correct Answer

Point your RSS reader here for a feed of the latest messages in all forums